﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Load the existing PDF document
            PdfLoadedDocument ldoc = new PdfLoadedDocument("../../Essential_Studio.pdf");

            //Create a new PDF document
            PdfDocument doc = new PdfDocument();

            //set the font
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 15);

            for (int i = 0; i < ldoc.Pages.Count; i++)
            {
                //Set the page size
                doc.PageSettings.Size = ldoc.Pages[i].Size;

                //set the margins
                doc.PageSettings.Margins.All = 0;

                //Add new PDF page
                PdfPage page = doc.Pages.Add();

                //Create a template
                PdfTemplate template = ldoc.Pages[i].CreateTemplate();

                //Draw the template to the page
                page.Graphics.DrawPdfTemplate(template, PointF.Empty, new SizeF(page.Size.Width, page.Size.Height - 36));               
            
                //Save the graphics state
                PdfGraphicsState state = page.Graphics.Save();

                //set transparancy
                page.Graphics.SetTransparency(0.25f);
              
                //Draw the water mark
                page.Graphics.DrawString("Page: " + i.ToString(), font, PdfPens.Red, PdfBrushes.Red,new PointF(200,page.Size.Height - 25));

                //Restore the graphics
                page.Graphics.Restore();
            }
            //Save the document 
            doc.Save("output.pdf");

            //Close the documents
            ldoc.Close(true);
            doc.Close(true);

            System.Diagnostics.Process.Start("output.pdf");
        }
    }
}
